ChangeSet 1.1757.66.11, 2004/07/14 14:46:59-07:00, stern@rowland.harvard.edu

[PATCH] USB: Fix endianness bug in UHCI driver

This patch fixes a byte-swapping error in the UHCI driver.  It has been
present since 2.6.6 and only got tracked down just now!  Thanks a lot to
Michel Roelofs for all his help and testing.

This should be pushed through to Linus in time to appear in 2.6.8, if
possible.


Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/host/uhci-hcd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	2004-07-14 16:45:25 -07:00
+++ b/drivers/usb/host/uhci-hcd.c	2004-07-14 16:45:25 -07:00
@@ -862,7 +862,7 @@
 	urbp->short_control_packet = 1;
 
 	td = list_entry(urbp->td_list.prev, struct uhci_td, list);
-	urbp->qh->element = td->dma_handle;
+	urbp->qh->element = cpu_to_le32(td->dma_handle);
 
 	return -EINPROGRESS;
 }
